!---------------------------------------------------------------
ScreenLister    PROCEDURE                ! Usage: ScreenLister(screen name)
ActiveScreen    EXTERNAL,SCREEN           ! Pass Screen by address
Aline           STRING(80)                ! A line of the screen
AlineArray      BYTE,DIM(80),OVER(Aline)  ! Array for character filter
  CODE
  row# = ROW(ActiveScreen)                ! Beginning row of screen
  col# = COL(ActiveScreen)                ! Beginning column of screen
  rows# = ROWS(ActiveScreen)              ! Rows to print
  cols# = COLS(ActiveScreen)              ! Column width of screen
  LOOP x# = row# TO rows#                 ! Loop through each row
    LOOK(x#,col#,Aline,@S80)              ! Read a line from the display
  ! The next six lines are the Character Filter Subroutine.
    y# = LEN(CLIP(Aline))                 ! Set limit of filter loop
    LOOP z# = 1 TO y#                     ! Loop through each character
      IF NOT INRANGE(AlineArray[z#],32,127) ! If character not printable,
        AlineArray[z#] = 32               ! convert to a Space.
      END !if
    END !loop
    PRINT(SUB(Aline,1,cols#))             ! Send filtered line to printer
    PRINT(@LF)                            ! Print a Line Feed
  END !loop
  PRINT(@FF)                              ! Print a Form Feed
!---------------------------------------------------------------

